## kde-spectacle 6.5.0+p24.04+vstable+git20251021.0906

=== debian/changelog ===
kde-spectacle (1:6.5.0+p24.04+vstable+git20251021.0906-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:06:08 +0000

kde-spectacle (1:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:38:40 +0000
