## kde-spectacle 6.5.0+p24.04+vstable+git20251024.0302

=== debian/changelog ===
kde-spectacle (1:6.5.0+p24.04+vstable+git20251024.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 03:02:58 +0000
