## kde-spectacle 6.5.0+p24.04+vunstable+git20251021.0804

=== debian/changelog ===
kde-spectacle (1:6.5.0+p24.04+vunstable+git20251021.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:04:44 +0000
