## kde-spectacle 6.5.1+p24.04+vstable+git20251029.0757

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
