=== debian/changelog ===
kde-spectacle (1:6.5.1+p24.04+vstable+git20251029.0757-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:57:37 +0000

kde-spectacle (1:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:07:18 +0000
