=== debian/watch ===
Version: 5
Source: https://download.kde.org/stable/plasma/@ANY_VERSION@/
Matching-Pattern: spectacle-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
