=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.3~),
               liblayershellqtinterface-dev (>= 6.5.3~),
               libopencv-core-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
               qt6-multimedia-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.
