## kde-spectacle 6.5.3+p24.04+vunstable+git20251202.1052

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
 # minimum requirements
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 
@@ -90,9 +90,61 @@
 find_package(KPipeWire)
 find_package(OpenCV 4.7 REQUIRED core imgproc)
 
+# Find Tesseract for OCR functionality
+find_package(PkgConfig QUIET)
+if(PkgConfig_FOUND)
+    pkg_check_modules(TESSERACT tesseract)
+
+    if(TESSERACT_FOUND)
+        # Test if Tesseract has usable language packs
+        try_run(
+            TESSERACT_TEST_RUN_RESULT
+            TESSERACT_TEST_COMPILE_RESULT
+            ${CMAKE_CURRENT_BINARY_DIR}
+            ${CMAKE_CURRENT_SOURCE_DIR}/cmake/tesseract_test.cpp
+            LINK_LIBRARIES ${TESSERACT_LIBRARIES}
+            CMAKE_FLAGS "-DINCLUDE_DIRECTORIES=${TESSERACT_INCLUDE_DIRS}"
+            COMPILE_OUTPUT_VARIABLE TESSERACT_COMPILE_OUTPUT
+            RUN_OUTPUT_VARIABLE TESSERACT_RUN_OUTPUT
+        )
+
+        if(TESSERACT_TEST_COMPILE_RESULT AND TESSERACT_TEST_RUN_RESULT EQUAL 0)
+            message(STATUS "Tesseract OCR support enabled")
+            message(STATUS "${TESSERACT_RUN_OUTPUT}")
+            set(HAVE_TESSERACT_OCR TRUE)
+        else()
+            message(WARNING "Tesseract library found but no usable language packs detected")
+            message(WARNING "${TESSERACT_RUN_OUTPUT}")
+            message(WARNING "OCR functionality will be disabled. Install language data packages (e.g., tesseract-ocr-eng)")
+            set(HAVE_TESSERACT_OCR FALSE)
+        endif()
+    else()
+        message(STATUS "Tesseract not found - OCR functionality disabled")
+        set(HAVE_TESSERACT_OCR FALSE)
+    endif()
+
+    set_package_properties(TESSERACT PROPERTIES
+        DESCRIPTION "OCR engine for text recognition in screenshots"
+        TYPE OPTIONAL
+        PURPOSE "Enables optical character recognition functionality"
+    )
+else()
+    message(STATUS "PkgConfig not found - Tesseract detection disabled")
+    set(HAVE_TESSERACT_OCR FALSE)
+endif()
+
 set_package_properties(KPipeWire PROPERTIES DESCRIPTION
     "Used to record pipewire streams into a file"
     TYPE REQUIRED
+)
+
+ecm_find_qmlmodule(org.kde.kquickimageeditor)
+find_package(KQuickImageEditor COMPONENTS)
+set_package_properties(KQuickImageEditor PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Simple image editor for QtQuick applications"
+    URL "https://invent.kde.org/libraries/kquickimageeditor/"
+    PURPOSE "Add image editing capability to the screenshots"
 )
 
 # optional components
