=== debian/changelog ===
kde-spectacle (1:6.5.3+p24.04+vunstable+git20251202.1052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:52:41 +0000

kde-spectacle (1:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:16:13 +1000

kde-spectacle (1:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:15:04 +1000
