## kde-spectacle 6.5.3+p24.04+vunstable+git20251206.0738

=== debian/changelog ===
kde-spectacle (1:6.5.3+p24.04+vunstable+git20251206.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:38:29 +0000
