=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkcolorpicker-qt6-dev,
@@ -29,8 +29,8 @@
                libkf6xmlgui-dev (>= 6.18.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.3~),
-               liblayershellqtinterface-dev (>= 6.5.3~),
+               libkpipewire-dev (>= 6.5.4~),
+               liblayershellqtinterface-dev (>= 6.5.4~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
