## kde-spectacle 6.5.4+p24.04+vstable+git20251231.0206

=== debian/changelog ===
kde-spectacle (1:6.5.4+p24.04+vstable+git20251231.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:06:24 +0000

kde-spectacle (1:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:26 +1000
