=== debian/changelog ===
kde-spectacle (4:6.5.5-0ubuntu4) resolute; urgency=medium

  * Update build deps for Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 06:56:03 +0000

kde-spectacle (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:51:53 +0000

kde-spectacle (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:54:31 +0000

kde-spectacle (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:10:23 +0000
