=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkcolorpicker-qt6-dev,
@@ -29,8 +29,8 @@
                libkf6xmlgui-dev (>= 6.18.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.4~),
-               liblayershellqtinterface-dev (>= 6.5.4~),
+               libkpipewire-dev (>= 6.5.5~),
+               liblayershellqtinterface-dev (>= 6.5.5~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
@@ -46,13 +46,13 @@
                pkgconf,
                plasma-wayland-protocols,
                qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev-tools (>= 6.10.0~),
                qt6-base-private-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev (>= 6.9.0~),
                qt6-multimedia-dev (>= 6.9.0~),
                qt6-svg-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-dev-tools (>= 6.9.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/spectacle
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
