## kde-spectacle 6.5.5+p24.04+vstable+git20260130.0936

=== debian/changelog ===
kde-spectacle (1:6.5.5+p24.04+vstable+git20260130.0936-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:36:19 +0000

kde-spectacle (1:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:35 +1000
