## kde-spectacle 6.5.5+p24.04+vstable+git20260203.0851

=== debian/changelog ===
kde-spectacle (1:6.5.5+p24.04+vstable+git20260203.0851-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:52:01 +0000
