=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-purpose-dev,
               kquickimageeditor-dev,
               kwayland-dev,
               libcups2-dev,
               libkf6screen-dev,
               libkpipewire-dev,
               liblayershellqtinterface-dev,
               libopencv-dev,
               libpipewire-0.3-dev,
               libtesseract-dev,
               libwayland-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-imageformats-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-wayland-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Git: https://invent.kde.org/neon/kde/spectacle.git
Vcs-Browser: https://invent.kde.org/neon/kde/spectacle
Maintainer: Neon CI <neon@kde.org>

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qml6-module-qtmultimedia, ${misc:Depends}, ${shlibs:Depends}
Suggests: obs-studio, peek, simplescreenrecorder, vokoscreen
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.
