=== debian/changelog ===
kde-spectacle (1:6.5.5+p24.04+vunstable+git20260205.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:07:08 +0000
